Subject: poll-interval clarification of section 9.5.1 of RFC 2328

From: Boffa Stephen-QA4741 <[email-masked]>
Date: Wed, 25 Sep 2002 14:20:22 -0700

Once again thanks for the response on implementing (or not implementing) a poll-interval as a non-eligible router in a NBMA configuration.  We re-read section 9.5.1 of the RFC and the last paragraph as read appears to contradict the suggested implementation.

>>> last paragraph of 9.5.1

            When sending Hello packets periodically to any neighbor, the
            interval between Hello Packets is determined by the
            neighbor's state.  If the neighbor is in state Down, Hello
            Packets are sent every PollInterval seconds.  Otherwise,
            Hello Packets are sent every HelloInterval seconds.

>>> end of paragraph.

If we paraphrase this paragraph, it appears to state that hello packets between neighbors are sent at the hello-interval pace when full adjacencies are established or at poll-interval pace when a neighbor is determined as down.  This paragraph does not tend to dedicate itself to a DR, BDR, or a non-eligible router.  Which gives us the impression that a poll-interval should be used on a non-eligible router as well as on an eligible router in a NBMA configuration.

Any advice would be helpful.

Thanks
Steve

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]]
Sent: Thursday, September 19, 2002 6:29 PM
To: [email-masked]
Subject: Re: clarification of section 9.5.1 of RFC 2328

Boffa Stephen-QA4741 wrote:

> Acee,
>
> Thanks for your response.  A question which stems from your response of "If the DR or BDR neighbor state goes to DOWN, the non-eligible router discontinues sending hellos to
> that neighbor.".  Does this statement implies that the poll-interval set on the non-eligible router is irrelevant on the non-eligible router?  In otherwords, the non-eligible router should not try to re-establish bi-directional communications with its DR or BDR (as defined in a poll-interval) if the DR or BDR is perceived as down (per the non-eligible router not receiving dead-interval worth of heartbeat responses).
>

Yes - At least that is the way I interpreted and implemented it.

> Regards
> Steve
>
> -----Original Message-----
> From: Acee Lindem [mailto:[email-masked]]
> Sent: Thursday, September 19, 2002 3:45 PM
> To: [email-masked]
> Subject: Re: clarification of section 9.5.1 of RFC 2328
>
>
> Boffa Stephen-QA4741 wrote:
>
>
>>>We have two interpretations of section 9.5.1 (Sending Hello Packets on NBMA networks) of RFC 2328 from the perspective of being a non-eligible DR.  We are configured as a NBMA which we can not be eligible to be the DR.  Our issue involves the initiation of hello packets when we start-up.  The two interpretations are:
>>>
>>>1) The non-eligible NBMA router (which is our environment), will initiate a hello packet to our direct neighbor on each interface.  After the initial exchange and adjacencies are established, hello packets are exchanged every hello-interval.
>>>
>>>2)  Upon startup, no BDR or DR is elected so HELLOs are not sent to any router. The DR election is first triggered by *receipt* of HELLOs from the DR or BDR, which are sending HELLOs at PollInterval intervals because the NBMA router has reached the Down state.
>>>
>>>
>
>
> #2 is the closest.
>
> When non-eligible router starts up, it does not send hellos to anyone. Once a DR and BDR
> are elected and poll the non-eligible router, it will send hellos to them.
> It also replies to hellos as specified in section 9.5.1. If the DR or BDR neighbor
> state goes to DOWN, the non-eligible router discontinues sending hellos to
> that neighbor.
>
> I suspect you will find a wide variance in what individual implementations
> do with respect to non-eligible neighbors.
>
>
>
>>>Any clarification on this case would help us in our implementation.
>>>
>>>Thanks for your assistance.
>>>Steve
>>>
>>>
>
>
> --
> Acee
>
>

--
Acee

---

From: Acee Lindem <[email-masked]>
Date: Wed, 25 Sep 2002 21:23:35 -0400

>             Hello Packets are sent every HelloInterval seconds.

Steve,

It needn't be repeated in this paragraph since the requirements for
sending hello packets on NBMA interfaces are stated in a subsequent
paragraph:

             If the router is eligible to become Designated Router, it
             must periodically send Hello Packets to all neighbors that
             are also eligible.  In addition, if the router is itself the
             Designated Router or Backup Designated Router, it must also
             send periodic Hello Packets to all other neighbors.  This
             means that any two eligible routers are always exchanging
             Hello Packets, which is necessary for the correct operation
             of the Designated Router election algorithm.  To minimize
             the number of Hello Packets sent, the number of eligible
             routers on an NBMA network should be kept small.

Also, if you look at appendix C.5 (NBMA network parameters) you'll
note that it suggests that neighbor configuration or automatic discovery
is only necessary on routers that are eligible to become designated
router (DR).

--
Acee